# Filename: selection_set_selection_type.py
# Purpose: Set property for selection type.
# Returns: Void.

from maptek import vulcan_gui

# select layer from the screen
sel = vulcan_gui.selection("Select Object")
sel.set_selection_type('BYOBJECT')

# do something after selection...
for obj in sel:
    layer_name = obj.layer